### Method

# Camel NetworkSettings get_port

since: 3.4

#### Declaration [src]

    guint16
    camel_network_settings_get_port (
      CamelNetworkSettings* settings
    )

#### Description [src]

Returns the port number used to authenticate to a network service.

Available since: 3.4

Gets property | `Camel.NetworkSettings:port`

#### Return value

Type: `guint16`

The port number of a network service.